### Method

# Gck Session encrypt_finish

#### Declaration [src]

    guchar*
    gck_session_encrypt_finish (
      GckSession* self,
      GAsyncResult* result,
      gsize* n_result,
      GError** error
    )

#### Description [src]

Get the result of an encryption operation.

#### Parameters

`result` | `GAsyncResult`
| The result object passed to the callback.
| The data is owned by the caller of the function.
`n_result` | `gsize*`
| A location to store the length of the result data.
| The argument will be set by the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `guchar`
| The data that was encrypted, or `NULL` if an error occurred.
| The length of the array is in the `n_result` argument.
| The caller of the method takes ownership of the data, and is responsible for freeing it.